import java.util.ArrayList;

public class PentagoMap {
    private int[][] nuts = new int[6][6];

    /**
     * make the array 0 at first
     */
    public void first(){
        for (int i=0; i<6; i++){
            for (int j=0; j<6; j++){
                nuts[i][j] = 0;
            }
        }
    }

    /**
     * sets the nuts
     * @param nuts
     */
    public void setNuts(int[][] nuts) {
        this.nuts = nuts;
    }

    /**
     * gets the nuts
     * @return
     */
    public int[][] getNuts() {
        return nuts;
    }

    /**
     * prints the map
     */
    public void map() {
        for (int i = 0; i < 3; i++) {
            for (int j = 0; j < 3; j++) {
                if (nuts[i][j] == 0)
                    System.out.print("\u2B55  ");
                else if(nuts[i][j] == 1)
                    System.out.print("\u26AA  ");
                else if(nuts[i][j] == 2)
                    System.out.print("\u26AB  ");

            }
            System.out.print("|  ");

            for (int k = 3; k < 6; k++) {
                if (nuts[i][k] == 0)
                    System.out.print("\u2B55  ");
                else if(nuts[i][k] == 1)
                    System.out.print("\u26AA  ");
                else if(nuts[i][k] == 2)
                    System.out.print("\u26AB  ");

            }
            System.out.println();

        }

        //System.out.print("-");
        for (int z=0; z<6; z++)
            System.out.print("--- ");
        System.out.println();

        for (int i = 3; i < 6; i++) {
            for (int j = 0; j < 3; j++) {
                if (nuts[i][j] == 0)
                    System.out.print("\u2B55  ");
                else if(nuts[i][j] == 1)
                    System.out.print("\u26AA  ");
                else if(nuts[i][j] == 2)
                    System.out.print("\u26AB  ");

            }
            System.out.print("|  ");

            for (int k = 3; k < 6; k++) {
                if (nuts[i][k] == 0)
                    System.out.print("\u2B55  ");
                else if(nuts[i][k] == 1)
                    System.out.print("\u26AA  ");
                else if(nuts[i][k] == 2)
                    System.out.print("\u26AB  ");

            }
            System.out.println();

        }

        System.out.println(" ");
        System.out.println(" ");
    }
}
